import { Component } from '@angular/core';

import { FormGroup } from "@angular/forms";
import { MgFormControlsAccessor, MgControlName, MgCustomProperties } from "./TodoListEdit.mg.controls.g";


import { TaskBaseMagicComponent, magicProviders } from "@magic-xpa/angular";


import { MagicModalInterface } from "@magic-xpa/angular";

@Component({
    selector: 'mga-TodoListEdit',
    providers: [...magicProviders],
    templateUrl: './TodoListEdit.component.html', 
	styleUrls: ['./TodoListEdit.component.css']
})
export class TodoListEdit extends TaskBaseMagicComponent implements MagicModalInterface {

    mgc = MgControlName;
    mgcp = MgCustomProperties;
    mgfc!: MgFormControlsAccessor;
    override createFormControlsAccessor(formGroup: FormGroup) {
        this.mgfc = new MgFormControlsAccessor(formGroup, this.magicServices);
    }
    private static readonly formName: string = "TodoListEdit";
    private static readonly showTitleBar: boolean = true;
    private static readonly x: number = 0;
    private static readonly y: number = 0;
    private static readonly width: string = "50%";
    private static readonly height: string = "50%";
    private static readonly isCenteredToWindow: boolean = true;
    private static readonly shouldCloseOnBackgroundClick = true;
    X() {
        return TodoListEdit.x;
    }
    Y() {
        return TodoListEdit.y;
    }
    Width(): string {
        return TodoListEdit.width;
    }
    Height(): string {
        return TodoListEdit.height;
    }
    IsCenteredToWindow() {
        return TodoListEdit.isCenteredToWindow;
    }
    FormName() {
        return TodoListEdit.formName;
    }
    ShowTitleBar() {
        return TodoListEdit.showTitleBar;
    }
    ShouldCloseOnBackgroundClick() {
        return TodoListEdit.shouldCloseOnBackgroundClick;
    }
}